## ros-jazzy-autoware-adapi-v1-msgs 1.3.0

=== debian/changelog ===
ros-jazzy-autoware-adapi-v1-msgs (1.3.0-2bookworm) bookworm; urgency=high

  * feat(autoware_adapi_v1_msgs): remove energy status (#58 <https://github.com/youtalk/autoware_adapi_msgs/issues/58>)
  * feat(autoware_adapi_v1_msgs): add diagnostics (#54 <https://github.com/youtalk/autoware_adapi_msgs/issues/54>)
  * Contributors: Takagi, Isamu

 -- Takagi, Isamu <isamu.takagi@tier4.jp>  Tue, 02 Jul 2024 16:00:00 -0000

ros-jazzy-autoware-adapi-v1-msgs (1.2.1-2bookworm) bookworm; urgency=high

  * build: set package versions to the package.xml files (#55 <https://github.com/youtalk/autoware_adapi_msgs/issues/55>)
    * version 1.1.0
    * separate to build_ and exec_ depends
    * update description
    * style(pre-commit): autofix
    * Update autoware_adapi_v1_msgs/package.xml
    Co-authored-by: Takagi, Isamu <mailto:43976882+isamu-takagi@users.noreply.github.com>
    * Update autoware_adapi_v1_msgs/package.xml
    Co-authored-by: Takagi, Isamu <mailto:43976882+isamu-takagi@users.noreply.github.com>
    * Update autoware_adapi_version_msgs/package.xml
    Co-authored-by: Takagi, Isamu <mailto:43976882+isamu-takagi@users.noreply.github.com>
    * version 1.2.0
    * Revert "separate to build_ and exec_ depends"
    This reverts commit 6b657cf84a674a8272fbc6571a0f3dffa0a1dce8.
    ---------
    Co-authored-by: pre-commit-ci[bot] <66853113+pre-commit-ci[bot]@users.noreply.github.com>
    Co-authored-by: Takagi, Isamu <mailto:43976882+isamu-takagi@users.noreply.github.com>
  * feat(autoware_adapi_v1_msgs): add heartbeat (#50 <https://github.com/youtalk/autoware_adapi_msgs/issues/50>)
    * feat(autoware_adapi_v1_msgs): add heartbeat
    * feat(autoware_adapi_v1_msgs): add message counter
    * Update autoware_adapi_v1_msgs/system/msg/Heartbeat.msg
    Co-authored-by: M. Fatih Cırıt <mailto:xmfcx@users.noreply.github.com>
    * feat: add comment
    ---------
    Co-authored-by: M. Fatih Cırıt <mailto:xmfcx@users.noreply.github.com>
  * feat(autoware_adapi_v1_msgs): remove planning factor type (#48 <https://github.com/youtalk/autoware_adapi_msgs/issues/48>)
  * feat(autoware_adapi_v1_msgs): add planning behavior type (#45 <https://github.com/youtalk/autoware_adapi_msgs/issues/45>)
  * feat(autoware_adapi_v1_msgs): add MRM pull over behavior for mrm state (#43 <https://github.com/youtalk/autoware_adapi_msgs/issues/43>)
    * add pull over behavior to mrm state
    * Update autoware_adapi_v1_msgs/system/msg/MrmState.msg
    Co-authored-by: Kotaro Yoshimoto <mailto:pythagora.yoshimoto@gmail.com>
    ---------
    Co-authored-by: Kotaro Yoshimoto <mailto:pythagora.yoshimoto@gmail.com>
  * feat(autoware_adapi_v1_msgs): add cooperation (#41 <https://github.com/youtalk/autoware_adapi_msgs/issues/41>)
    * feat: add cooperation messages
    * feat: add cooperation service
    * feat: merge planning factors
    * feat: modify constant names
    * feat: add cooperation default
    * update fields
    * upfate default decision service
    * rename service
    * update message name
    * fix constants
    * add constants for behavior and sequence
    * update field
    * fix order
    * add comment
    ---------
  * feat(autoware_adapi_v1_msgs): add door command (#40 <https://github.com/youtalk/autoware_adapi_msgs/issues/40>)
    * door command
    * remove unused constant
    * modify command
    ---------
  * feat(autoware_adapi_v1_msgs): add vehicle status msgs (#24 <https://github.com/youtalk/autoware_adapi_msgs/issues/24>)
    * add vehicle status msgs
    * simplify door msg
    * add vehicle state
    * change vehicle motion
    * clean up
    * fix typo
    * change geo position to array and remove GeoPosition msg
    * update msgs
    * update msgs
    * update naming
    * add none
    * update msg
    * fix naming
    * fix typo
    * change naming
    * update geopoint to use geographic_msgs
    * add commend document
    * update message
    * Update autoware_adapi_v1_msgs/vehicle/msg/Kinematic.msg
    Fix speelling
    Co-authored-by: Takagi, Isamu <mailto:43976882+isamu-takagi@users.noreply.github.com>
    * update message name
    * update door layout
    * Update autoware_adapi_v1_msgs/vehicle/msg/VehicleKinematics.msg
    Update commend in VehicleKinematics
    Co-authored-by: Ryohsuke Mitsudome <mailto:43976834+mitsudome-r@users.noreply.github.com>
    * style(pre-commit): autofix
    ---------
    Co-authored-by: Takagi, Isamu <mailto:43976882+isamu-takagi@users.noreply.github.com>
    Co-authored-by: Takagi, Isamu <mailto:isamu.takagi@tier4.jp>
    Co-authored-by: Ryohsuke Mitsudome <mailto:43976834+mitsudome-r@users.noreply.github.com>
    Co-authored-by: pre-commit-ci[bot] <66853113+pre-commit-ci[bot]@users.noreply.github.com>
  * refactor(start_planner): rename pull out to start planner (#36 <https://github.com/youtalk/autoware_adapi_msgs/issues/36>)
  * feat(autoware_adapi_v1_msgs): change door field names to suit (#35 <https://github.com/youtalk/autoware_adapi_msgs/issues/35>)
  * feat: first draft proposal implementation for handling invalid lanelets (#27 <https://github.com/youtalk/autoware_adapi_msgs/issues/27>)
    * feat: first draft proposal implementation for handling invalid lanelets
    * feat: changing module name from invalid_lanelet to no_drivable_lane
    ---------
  * feat(autoware_adapi_v1_msgs): add object recognition msg (#25 <https://github.com/youtalk/autoware_adapi_msgs/issues/25>)
    * add perception message for object recognition
    * use the correct msg
    * change naming
    * fix naming
    * change shape
    * add missing data
    * change naming
    * change naming
    * change shape type
    ---------
  * feat(autoware_adapi_v1_msgs): add vehicle info msgs (#28 <https://github.com/youtalk/autoware_adapi_msgs/issues/28>)
    * feat(autoware_adapi_v1_msgs): add vehicle info messages
    * feat: add door group
    * feat: change door group
    * feat: add footprint to vehicle dimensions
    ---------

